## python-friendly-traceback 0.7.62+git20240811.d7dbff6

=== requirements.txt ===
asttokens >= 2.0.4
executing >= 1.1.0
pure_eval >= 0.2.1
stack_data >= 0.6.2
six >= 1.16

## python-friendly-traceback 0.7.62%2Bgit20240811.d7dbff6

=== debian/control ===
Source: python-friendly-traceback
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-asttokens,
               python3-executing,
               python3-pure-eval,
               python3-pytest <!nocheck>,
               python3-tk <!nocheck>,
               python3-setuptools,
               python3-stack-data
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/friendly-traceback/friendly-traceback
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-friendly-traceback
Vcs-Git: https://salsa.debian.org/python-team/packages/python-friendly-traceback.git

Package: python3-friendly-traceback
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Friendlier tracebacks in any language
 Friendly-traceback analyzes and reformats Python error messages,
 providing detailed explanations about the cause of the error and
 possible solutions. It is useful for developers, students, and
 debugging tools, making error analysis more accessible and educational.
 .
 Main features:
  - Detailed and educational explanations for Python exceptions.
  - Support for multiple languages.
  - Can be integrated into other debugging projects.

## python-friendly-traceback 0.7.62+git20240811.d7dbff6

=== debian/changelog ===
python-friendly-traceback (0.7.62+git20240811.d7dbff6-1.1) unstable; urgency=medium

  * Team Upload
  * Patch-out stray dependency on "six"

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Apr 2025 14:27:09 +0200

python-friendly-traceback (0.7.62+git20240811.d7dbff6-1) unstable; urgency=medium

  * Initial release. (Closes: #1102103)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 30 Mar 2025 22:40:30 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=friendly-traceback
export PYBUILD_TEST_ARGS=-v

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.7.62+git%cd.%h" \
https://github.com/friendly-traceback/friendly-traceback/ HEAD
